
Redmine - Feature #284

Issues fixed in multiple versions

2007-03-12 02:34 - Nick Read

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The short version:

It would be great to be able to say that an issue has been fixed in more than one version of the project.

The long version:

The release model on our project is to have three active branches of the code - trunk for unreleased code, the latest

stable release branch, and the stable release branch before that.

We release a new stable branch every six months, but still need to fix high priority issues that arise in older versions.

Given this, we generally do a QA release of the previously released branches every one or two months.  These include

any bug fixes that customers can't go without, but do not have the luxury of upgrading their production systems at that

time.

If we identify a bug that affects both trunk and a released stable version, and we decide that it must be fixed for

existing customers, then we fix the bug and mark it in Jira as fixed for both these versions.  This means that the issue

would show up on the change log of each version.  It also indicates that that testers must test the issue in both versions

of the code.

Related issues:

Related to Redmine - Feature #1675: Add 'affected version' as a standard field Closed 2008-07-23

Is duplicate of Redmine - Patch #219: Issues fixed in multiple versions New

History

#1 - 2007-05-02 09:11 - Nick Read

Patch #10519 has been submitted to implement this functionality:

http://rubyforge.org/tracker/index.php?func=detail&aid=10519x%x%

amp;group_id=1850&atid=7162

#2 - 2010-05-16 00:49 - Felix Schäfer

- Status changed from New to Closed

Closing this issue in favor of #219.

#3 - 2010-08-12 00:08 - Rick Hunnicutt

Felix,

You've closed this based on #219 but in the last entry, the author states the patch will most likely not merege into the current tree and that was 3

years ago. Is it a valid resolution at this point? It is still needed for sure.

#4 - 2014-07-16 10:14 - Alice Etchegaray

I agree with Rick, the patch isn't adapted for current tree and it's a pity...

Why don't integrate this functionality into the future versions of Redmine ??

#5 - 2014-08-15 02:27 - Toshi MARUYAMA

- Resolution set to Duplicate
#6 - 2014-08-15 02:29 - Toshi MARUYAMA

- Related to deleted (Feature #1675: Add 'affected version' as a standard field)

#7 - 2014-08-15 02:29 - Toshi MARUYAMA

- Related to Feature #1675: Add 'affected version' as a standard field added
